import { useQuasar } from 'quasar'
import {
  defineComponent, onBeforeMount, onBeforeUnmount, onMounted, ref, toRefs, watch, inject, computed,
} from 'vue'

import { tools } from '@tools'

import { shared_consts } from '@src/common/shared_vuejs'
import { useI18n } from 'vue-i18n'
import { useRouter, useRoute } from 'vue-router'
import { static_data } from '@src/db/static_data'
import { useGlobalStore } from '@store/globalStore'
import { useUserStore } from '@store/UserStore'

import MixinUsers from '../../mixins/mixin-users'

export default defineComponent({
  name: 'MyFooter',
  components: {},
  props: {},

  setup() {
    const $q = useQuasar()
    const { t } = useI18n()
    const $router = useRouter()
    const $route = useRoute()

    const userStore = useUserStore()
    const globalStore = useGlobalStore()

    const site = computed(() => globalStore.site)


    const { getMyUsername, Username, getMyImg } = MixinUsers()

    const currentPath = computed(() => $route.path); // Uso di computed per la reattività

    function mounted() {
      // mounted
    }

    function naviga(path: string) {
      $router.push(path)
    }

    onMounted(mounted)

    return {
      static_data,
      globalStore,
      t,
      getMyUsername,
      Username,
      tools,
      site,
      getMyImg,
      naviga,
      currentPath,
    }
  },

})
